Bug 433516 - Problem with sound on Presario 8640
Problem with sound on Presario 8640
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
8
i686 Linux
low Severity low
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-19 14:46 EST by Henrik Johansson
Modified: 2008-09-04 16:51 EDT (History)
0 users

See Also:
Fixed In Version: F9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-09-04 16:51:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Henrik Johansson 2008-02-19 14:46:27 EST
Description of problem:
Problem with sound and can't adjust volume.
(desktop language swedish)

Version-Release number of selected component (if applicable):
Extract from /etc/sysconfig/hwconf:
class: AUDIO
bus: PCI
detached: 0
driver: snd-emu10k1
desc: "Creative Labs SB Live! EMU10k1"
vendorId: 1102
deviceId: 0002
subVendorId: 1102
subDeviceId: 806b
pciType: 1
pcidom:    0
pcibus:  2
pcidev:  a
pcifn:  0

How reproducible:
Always since upgrade to Fedora 8.

Steps to Reproduce:
1.Volymkontroll -> Inställningar(Volume Control -> Preferences)
Can't find the GStreamer-modules.
The error-message:
Volymkontrollen hittade inga element och/eller enheter att kontrollera. Detta
betyder antingen att du inte har rätt GStreamer-insticksmoduler installerade,
eller att du inte har konfigurerat något ljudkort.

Du kan ta bort volymkontrollen från panelen genom att högerklicka på
högtalarikonen på panelen och välja "Ta bort från panelen" från menyn.

2.System->Inställningar->Hårdvara->Ljud (System -> Preferences -> Hardware -> Sound)
All testing leads to Gstreamer-problems. 
Example:
audiotestsrc wave=sine freq=512 ! audioconvert ! audioresample ! gconfaudiosink:
Internal GStreamer error: state change failed.  Please file a bug at
http://bugzilla.gnome.org/enter_bug.cgi?product=GStreamer

3.System->Inställningar->Ljudkortsdetektering (System -> Administration ->
Soundcard Detection)
Ljudtest (Sound test)
  Valt kort (Selected card)
    Tillverkare:  Creative Labs
    Modell:       SB Live! EMU10k1
    Modell:       snd-emu10k1
  Ljudtest  (Sound test)
    |>  => Can hear sound
  Volyminställningar (Volume Settings)
    Works
  Enhetssättningar (Device Settings)
    PCM-enhet 'ADC Capture/Standard PCM Playback'

  
Actual results:


Expected results:


Additional info:
I ran the Software Updater before reporting the problem.
The sound works in Windows XP (dual boot).

BR,
Henrik
Comment 1 Henrik Johansson 2008-08-16 16:07:05 EDT
The problem has been solved, by upgrade to Fedora 9.

BR,
Henrik

Note You need to log in before you can comment on or make changes to this bug.